from random import *

size = input("Введіть розмір бажаного списку: ").strip()

if not size.isdigit() or size == "0":
    print("Розмір списку має бути цілим додатним числом десяткової системи числення, спробуйте знову.")
    exit()
else:
    size = int(size)

lim_raw = input("Введіть нижню та верхню межі для генерації списку через пробіл: ").split()

lim_check = "".join(lim_raw).replace("-", "")

if not lim_check.isdigit() or len(lim_check) <= 1:
    print("Межі для генерації списку мають бути цілими числами десяткової системи числення, спробуйте знову.")
    exit()
else:
    low_n, high_n = map(int, lim_raw)
    if low_n > high_n:
        print("Нижня межа має бути введена перед верхньою, спробуйте знову.")
        exit()

odd_to_even = [randint(low_n, high_n) for i in range(size * 2)]
even_to_odd = [randint(low_n, high_n) for i in range(size * 2 - 1)]
res_list = []

for i in range(1, len(odd_to_even), 2):
    res_list.append(odd_to_even[i])
    res_list.append(even_to_odd[i - 1])

res_list = map(str, sample(res_list, size))

print(f"Список згенерований для вас: {' '.join(res_list)}")
