from random import *

size = input("Введіть кількість рядків та стовпців матриці через пробіл: ").split()

if not "".join(size).isdigit() or len(size) <= 1 or "0" in size:
    print("Кількість рядків та стовпців матриці мають бути цілими додатними числами десяткової системи числення надрукованими через пробіл, спробуйте знову.")
    exit()
else:
    m, n = map(int, size)

matrix = [[randint(0, 10) for i in range(n)] for i in range(m)]

print("Згенерована матриця:\n{}|\n".format("|\n".join(["|".join([f"{item:4}" for item in row]) for row in matrix])))

fixed_matrix = [matrix[i] for i in range(len(matrix)) if len(matrix[i]) == len(set(matrix[i]))]

if not fixed_matrix:
    print("Повторювані елементи є в усіх рядках матриці.")
    exit()

print("Матриця без рядків з повторюваними елементами:\n{}|\n".format("|\n".join(["|".join([f"{item:4}" for item in row]) for row in fixed_matrix])))
